org.eclipse.jetty.util

## Class HostMap<TYPE>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,TYPE>
    - - org.eclipse.jetty.util.HostMap<TYPE>

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,TYPE>

      public class HostMap<TYPE>
      extends HashMap<String,TYPE>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostMap()` Construct empty HostMap.
    `HostMap(int capacity)` Construct empty HostMap.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TYPE` | `get(Object key)`
    `Object` | `getLazyMatches(String host)` Retrieve a lazy list of map entries associated with specified hostname by taking into account the domain suffix matches.
    `TYPE` | `put(String host, TYPE object)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### HostMap

          public HostMap()

      Construct empty HostMap.

    - #### HostMap

          public HostMap(int capacity)

      Construct empty HostMap.
      Parameters:
        `capacity` - initial capacity

  - ### Method Detail

    - #### put

          public TYPE put(String host,
                 TYPE object)
                   throws IllegalArgumentException

      Specified by:
        `put` in interface `Map<String,TYPE>`
      Overrides:
        `put` in class `HashMap<String,TYPE>`
      Throws:
        `IllegalArgumentException`
      See Also:
        `HashMap.put(java.lang.Object, java.lang.Object)`

    - #### get

          public TYPE get(Object key)

      Specified by:
        `get` in interface `Map<String,TYPE>`
      Overrides:
        `get` in class `HashMap<String,TYPE>`
      See Also:
        `HashMap.get(java.lang.Object)`

    - #### getLazyMatches

          public Object getLazyMatches(String host)

      Retrieve a lazy list of map entries associated with specified hostname by taking into account the domain suffix matches.
      Parameters:
        `host` - hostname
      Returns:
        lazy list of map entries

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.